# vim: set sw=4 ts=4 et nu:

Name:               jack_mixer
Version:            9
Release:            3.3
Summary:            JACK Audo Mixer Application
Source:             http://download.gna.org/jackmixer/jack_mixer-%{version}.tar.gz
URL:                http://home.gna.org/jackmixer/
Group:              Productivity/Multimedia/Sound/Mixers
License: GPL-2.0
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      pkgconfig(gconf-2.0)
BuildRequires:      gtk2-devel
BuildRequires:      libjack-devel
BuildRequires:      python-devel
BuildRequires:      python-gtk-devel python-gtk
BuildRequires:      python-fpconst
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files
BuildRequires:      hicolor-icon-theme
BuildRequires:      gnome-common
Requires:           python-gtk
Requires:           python-fpconst
%if 0%{?suse_version} >= 1140
Recommends:         python-gconf
Recommends:         python-lash
%endif
Requires(pre):      gconf2
%gconf_schemas_prereq

%description
jack_mixer is a GTK+ JACK audio mixer app with a look similar to its hardware
counterpart. It has lot of useful features, apart from being able to mix
multiple JACK audio streams.

Features:
* Mix any number of input channels (mono or stereo).
* Control balance and faders with MIDI commands.
* Handle session management with LASH.
* Create as many outputs as necessary.
* Quickly monitor inputs (PFL) and outputs.
* ...

%prep
%setup -q

%build
%configure --disable-schemas-install
%__make %{?_smp_mflags}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall

%__rm "%{buildroot}%{python_sitelib}"/*.la

%suse_update_desktop_file -r "%{name}" AudioVideo Mixer

%find_gconf_schemas

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f %{name}.schemas_list
%defattr(-,root,root)
%{_bindir}/jack_mixer
%{_bindir}/jack_mixer.py
%{python_sitelib}/jack_mixer_c.so
%{_datadir}/icons/*/*/apps/jack_mixer.*
%{_datadir}/jack_mixer
%{_datadir}/applications/jack_mixer.desktop

%changelog
* Fri Jan  6 2012 pascal.bleser@opensuse.org
- initial version (9)
